<?php

class osterisk_Customizer_Controls_Custom_CSS_JS extends osterisk_Customizer_Controls {

    public $controls = array();

    public function __construct() {
        $this->section = 'osterisk_custom_js';
        $this->priority = new osterisk_Customizer_Priority(49, 1);

        parent::__construct();

        add_action( 'customize_register', array( $this, 'add_controls' ), 30 );
        add_action( 'customize_register', array( $this, 'set_controls' ), 35 );
    }

    public function add_controls( $wp_customize ) {
        $this->controls = array(
            'wd_options_array[osterisk_theme_custom_js]' => array(
                'label' => esc_html__( 'Custom JavaScript', 'osterisk' ),
                'type' => 'textarea',
                'default' => osterisk_get_option('osterisk_theme_custom_js'),
                'description' => 'Custom JavaScript',
                'input_attrs' => array(
                    'placeholder' => esc_html__('Put your JavaScript here','osterisk')
                )
            ),
        );

        return $this->controls;
    }

}

new osterisk_Customizer_Controls_Custom_CSS_JS();
