<?php

/*********---------testimonial--------------------------*/
add_action('admin_init', 'osterisk_testimonial_init');

function osterisk_testimonial_init() {
  global $vc_add_css_animation;
  global $wd_fonts_array;
  vc_map(array(
    "name" => esc_html__("Testimonail", 'osterisk'), // add a name
    "base" => "webdevia_testimonials", // bind with our shortcode
    "icon" => get_template_directory_uri() . "/images/icon/meknes.png",
    "content_element" => true, // set this parameter when element will has a content
    "is_container" => FALSE, // set this param when you need to add a content element in this element
    // Here starts the definition of array with parameters of our compnent
    "category" => 'Webdevia',
    "params" => array(
      array(
        "type" => "textfield",
        "heading" => esc_html__("Items To Display", 'osterisk'),
        "param_name" => "testimonial_items_to_show",
      ),
      array(
        "type" => "colorpicker",
        "class" => "",
        "heading" => esc_html__("Testimonial background Color", 'osterisk'),
        "param_name" => "testimonial_bg_color",
        "value" => "",
      ),
      array(
        "type" => "colorpicker",
        "class" => "",
        "heading" => esc_html__("Testimonial Text Color", 'osterisk'),
        "param_name" => "testimonial_text_color",
        "value" => "",
      ),
      $vc_add_css_animation
    )
  ));
}