<article <?php post_class("wd-post ".$post_class); ?>>
  <?php if($show_thumbnail == 'yes') { ?>
  <div class="wd-post__thumbnail">
    <?php the_post_thumbnail('osterisk_blog-thumb'); ?>
  </div>
  <?php } ?>
  <div class="wd-post__content">
    <<?php echo $headeing_tag ?> class="wd-post__title">
      <a href="<?php esc_url(the_permalink()); ?>"><?php the_title(); ?></a>
    </<?php echo $headeing_tag ?>>
  <?php if($show_meta == 'yes')  { ?>
    <ul class="wd-post__meta clearfix">
      <li><?php echo get_the_date(); ?></li>
      <li class="wd-post__author"><?php echo esc_html__('By:','osterisk');  the_author() ?></li>
      <li><?php echo esc_html__('Category:','osterisk');   the_category(', '); ?></li>
      <li class="wd-post__comments"><?php comments_number( 'no comments', 'one comment', '% comments' ); ?></li>
    </ul>
  <?php } ?>
    <div class="wd-post__body">
      <p><?php echo wp_trim_words(get_the_content(),15); ?></p>
    </div>

  <?php if($show_readmore == 'yes')  { ?>
    <div class="wd-post__read-more">
      <a href="<?php esc_url(the_permalink()); ?>">
        <?php echo esc_html__('Read More', 'osterisk'); ?>
        <img src="<?php echo get_template_directory_uri()."/images/more.svg" ?>" alt="icon">
      </a>
    </div>
  <?php } ?>
  </div>
</article>