<?php
function osterisk_button($atts)
{
  extract(shortcode_atts(array(
    'osterisk_btn_text' => 'Read More',
    'osterisk_btn_link' => '',
    'osterisk_btn_style' => 'btn-solid',
    'osteriskbtn_bg_color' => 'btn-color-1',
    'osterisk_btn_hover_bg_color' => 'hover-color-1',
    'custom_color' => '',
    'osterisk_btn_custom_text_color' => '',
    'osterisk_btn_custom_bg_color' => '',
    'osterisk_btncustom_hover_color' => '',
    'osterisk_btn_custom_hover_bg_color' => '',
    'osteriskbtn_btn_size' => 'btn-medium',
    'osteriskbtn_btn_border' => 'btn-round',
    'osteriskbtn_btn_align' => 'text-left',
    'osterisk_btn_icon' => '',
    'osterisk_btn_icon_position' => 'after',
    'osterisk_show_icon' => '',
    'osterisk_btn_icon_style' => '',
    'css_animation' => 'no'),
    $atts));
  ob_start();

  $btn_classes = $osterisk_btn_style . " " . $osteriskbtn_bg_color . " " . $osterisk_btn_hover_bg_color . " " . $osteriskbtn_btn_size . " " . $osteriskbtn_btn_border . " " . $osterisk_btn_icon_style . " icon-" . $osterisk_btn_icon_position;

  $animation_classes = "";
  $data_animated = "";

  if (($css_animation != 'no')) {
    $animation_classes = " animated ";
    $data_animated = "data-animated=$css_animation";
  }
$btn_link=vc_build_link($osterisk_btn_link);
  ?>

  <div
    class="wd-btn-wrap <?php echo esc_attr($osteriskbtn_btn_align) . ' ' . esc_attr($animation_classes); ?>" <?php echo esc_attr($data_animated); ?>>
    <a href="<?php echo esc_url($btn_link['url']) ?>" class="wd-btn <?php echo esc_attr($btn_classes) ?>"
      <?php if ($custom_color == 'yes') {
        ?>
        style="color: <?php echo $osterisk_btn_custom_text_color ?>; background-color: <?php echo $osterisk_btn_custom_bg_color ?>"
        onMouseOver="this.style.color='<?php echo $osterisk_btncustom_hover_color ?>', this.style.backgroundColor='<?php echo $osterisk_btn_custom_hover_bg_color ?>'"
        onMouseOut="this.style.color='<?php echo $osterisk_btn_custom_text_color ?>', this.style.backgroundColor='<?php echo $osterisk_btn_custom_bg_color ?>'"
        <?php
      } ?>


    >
      <?php if ($osterisk_show_icon == 'yes') { ?>
        <span class="button-wrp">
					<?php if ($osterisk_btn_icon_position == 'before') { ?>
            <i class="<?php echo esc_html($osterisk_btn_icon); ?> before"></i>
          <?php } ?>
          <span><?php echo esc_attr($osterisk_btn_text); ?></span>
          <?php if ($osterisk_btn_icon_position == 'after') { ?>
            <i class="<?php echo esc_html($osterisk_btn_icon); ?> after"></i>
          <?php } ?>
				</span>
      <?php } else {
        echo esc_attr($osterisk_btn_text);
      } ?>
    </a>
  </div>

  <?php return ob_get_clean();
}

add_shortcode('osterisk_button', 'osterisk_button');