<?php
function webdevia_testimonials($atts) {
  extract(shortcode_atts(array(
    'testimonial_items_to_show' => '4',
    'testimonial_bg_color' => '#FFF',
    'testimonial_text_color' => '#718494',
  ), $atts));

  ob_start(); ?>

  <div class="testimonail-slik">
    <?php global $wp_query;
    query_posts(array('post_type' => 'testimonials', 'posts_per_page' => $testimonial_items_to_show));

    while (have_posts()) : the_post(); ?>
      <div class="testimonail-item">
        <div class="testimonail-content" style="background:<?php echo $testimonial_bg_color ?>;">
          <div class="testimonail-thumb">
            <?php the_post_thumbnail('osterisk__testimonial')?>
          </div>
          <div class="contet" style="color:<?php echo $testimonial_text_color ?>;">
            <?php the_excerpt() ?>
            <h6 class="name" style="color:<?php echo $testimonial_text_color ?>;"><?php the_title() ?></h6>
          </div>
          <div class="firs-shadow" style="background:<?php echo $testimonial_bg_color ?>;"></div>
          <div class="sec-shadow" style="background:<?php echo $testimonial_bg_color ?>;"></div>
        </div>
      </div>
    <?php endwhile;
    wp_reset_query(); ?>
  </div>
  <?php return ob_get_clean();

}

add_shortcode('webdevia_testimonials', 'webdevia_testimonials');