<?php 

/**
 * Plugin Name: Webdevia main plugin
 * Plugin URI: http://www.themeforest.net/user/Mymoun
 * Description: Add features to Mymoun themes.
 * Version: 3.4.1
 * Author: Mymoun
 * Author URI: http://www.themeforest.net/user/Mymoun
 */

class WebdeviaMainPlugin {
  function __construct() {

    require_once(  plugin_dir_path( __FILE__ ).'post-types.php' );

    require_once(  plugin_dir_path( __FILE__ ).'widgets/widget.php' );
    require_once(  plugin_dir_path( __FILE__ ).'widgets/adress.php' );
    require_once(  plugin_dir_path( __FILE__ ).'widgets/instagram.php' );
    require_once(  plugin_dir_path( __FILE__ ).'/import/wd-import.php' );


    include_once( plugin_dir_path( __FILE__ ).'shortcode/wd_pricing_table.php' );
    include_once( plugin_dir_path( __FILE__ ).'shortcode/wd_client.php' );
    include_once( plugin_dir_path( __FILE__ ).'shortcode/wd_team.php' );
    include_once( plugin_dir_path( __FILE__ ).'shortcode/wd_portfolio.php' );
    include_once( plugin_dir_path( __FILE__ ).'shortcode/wd_testimonial.php' );
    include_once( plugin_dir_path( __FILE__ ).'shortcode/wd_countup.php' );
    include_once( plugin_dir_path( __FILE__ ).'shortcode/wd_icon_text.php' );
    include_once( plugin_dir_path( __FILE__ ).'shortcode/wd_blog.php' );
    include_once( plugin_dir_path( __FILE__ ).'shortcode/wd_progress_bars.php' );
    include_once( plugin_dir_path( __FILE__ ).'shortcode/wd_headings.php' );
    include_once( plugin_dir_path( __FILE__ ).'shortcode/wd_empty_spaces.php' );
    include_once( plugin_dir_path( __FILE__ ).'shortcode/wd-maps.php' );
    include_once( plugin_dir_path( __FILE__ ).'shortcode/wd-models.php' );
    include_once( plugin_dir_path( __FILE__ ).'shortcode/wd_svg-code.php' );
    include_once( plugin_dir_path( __FILE__ ).'shortcode/wd-button.php' );
    include_once( plugin_dir_path( __FILE__ ).'shortcode/wd_domain_search.php' );
    include_once( plugin_dir_path( __FILE__ ).'meta-box.php' );


      add_action( 'admin_enqueue_scripts', 'osterisk_plugin_script' );
      function osterisk_plugin_script(){
          wp_enqueue_script( 'osterisk-plugin-script', plugin_dir_url( __FILE__ ) . '/js/scripts.js', array( 'jquery' ) );
          wp_enqueue_script( 'osterisk-plugin-import-script', plugin_dir_url( __FILE__ ) . '/js/import_js.js', array( 'jquery' ) );
      }
  }
}

new WebdeviaMainPlugin;




// retrieves the attachment ID from the file URL
function osterisk_get_image_id($image_url) {
    global $wpdb;
    $image_url   = esc_sql( $image_url );
    $attachment = $wpdb->get_col($wpdb->prepare("SELECT ID FROM $wpdb->posts WHERE guid='%s';", $image_url ));
    if (isset($attachment[0])) {
        return $attachment[0];
    }
}