<?php
/**
 *----------------- include ------------------------------------------
 */
include_once(get_template_directory() . '/inc/tools.php');
include_once(get_template_directory() . '/inc/plugins/plugins.php');
include_once(get_template_directory() . '/inc/panel.php');
include_once(get_template_directory() . '/inc/meta-box.php');
include_once(get_template_directory() . '/inc/classes/wdevia_base_class.php' );
include_once(get_template_directory() . '/inc/base.php' );
include_once(get_template_directory() . '/inc/fonts.php' );
/** Register all navigation menus */
include_once(get_template_directory() . '/inc/navigation.php' );

/** Add menu walkers for top-bar and off-canvas */
include_once(get_template_directory() . '/inc/class-top-bar-walker.php' );
include_once(get_template_directory() . '/inc/class-mobile-walker.php' );

include_once(get_template_directory() . '/inc/widget-areas.php' );
include_once(get_template_directory() . '/inc/woocommerce.php' );
include_once(get_template_directory() . '/inc/theme-support.php' );

include_once(get_template_directory() . '/inc/mega-menu.php');
require_once(get_template_directory() . '/inc/aq_resizer.php');

include_once(get_template_directory() . '/inc/enqueue-scripts.php' );
include_once(get_template_directory() . '/inc/image-presets.php' );

function osterisk_init () {
  return osterisk_base_class::instance();
}

osterisk_init();
 //----------- Add SVG to media ---------------
function osterisk_mime_types($mimes) {
    $mimes['svg'] = 'image/svg+xml';
    return $mimes;
}
add_filter('upload_mimes', 'osterisk_mime_types');
//------------ Tags size ---------------
function osterisk_custom_tag_cloud_widget($args) {
    $args['largest'] = 15; //largest tag
    $args['smallest'] = 15; //smallest tag
    $args['unit'] = 'px'; //tag font unit
    return $args;
}
add_filter( 'widget_tag_cloud_args', 'osterisk_custom_tag_cloud_widget' );