<?php
global $wp_query;
$osterisk_thePageID = "";
if (is_object($wp_query) && is_object($wp_query->post) && isset($wp_query->post->ID)) {
  if (!is_search() and !is_404()) {
    $osterisk_thePageID =get_queried_object_id();
  }
}


$osterisk_style = get_post_meta($osterisk_thePageID, 'wd_page_title_area_style', true);
$osterisk_page_bg_img = get_post_meta($osterisk_thePageID, 'wd_page_title_area_bg_img', true);
$osterisk_page_bg_color = get_post_meta($osterisk_thePageID, 'wd_page_title_area_bg_color', true);
$title_position = get_post_meta($osterisk_thePageID, 'wd_page_title_position', true);
$text_color = get_post_meta($osterisk_thePageID, 'wd_page_title_color', true);

wp_enqueue_style('custom-line', get_template_directory_uri() . '/style.css');
//********* inline style ***************/
$osterisk_custom_css = "";
$osterisk_custom_css .= "";
$osterisk_custom_css .= ".first-footer { " . osterisk_check_if_empty('background-color', osterisk_get_option('footer_bg_color','#3A46D1')) . "}";
$osterisk_custom_css .= ".first-footer, .first-footer .block-title , .first-footer ul li a, .first-footer h6 { color: " . osterisk_get_option('footer_text_color') . "}";
$osterisk_custom_css .= ".second-footer {" . osterisk_check_if_empty('background', osterisk_get_option('copyright_bg')) . "; color: " . osterisk_get_option('copyright_text_color') . ";}";
$osterisk_footer_bg_img = osterisk_get_option('wd_footer_bg_image') == '' ? '' : osterisk_get_option('wd_footer_bg_image');

if ($osterisk_footer_bg_img !== "") {
  $osterisk_custom_css .= "
            .first-footer {
              background-image: url('$osterisk_footer_bg_img');
              background-size: cover;

            }
            ";
}

$osterisk_custom_css .= "
    .powered .block .menu li a,
     .footer-social-media li a {
       color: " . osterisk_get_option("copyright_text_color") . ";
    }
    .powered .block .menu li {
       border-right-color: " . osterisk_get_option("copyright_text_color") . ";
    }
";
//-------------title page--------------
$osterisk_custom_css .= "
      .titlebar {
        " . esc_html(osterisk_check_if_empty('background-image', "$osterisk_page_bg_img")) . ";
        " . esc_html(osterisk_check_if_empty('background-color', $osterisk_page_bg_color)) . ";
        background-repeat: no-repeat;
      }
      .titlebar #page-title{
      " . esc_html(osterisk_check_if_empty('text-align', $title_position)) . ";
      " . esc_html(osterisk_check_if_empty('color', $text_color)) . ";
      }
      #page-title,.breadcrumbs a{
        " . esc_html(osterisk_check_if_empty('color', $text_color)) . ";
      }";


if ($osterisk_page_bg_img == "") {

  $osterisk_title_bg_image = "";
  if (osterisk_get_option('osterisk_title_bg_image') != "") {
    $osterisk_title_bg_image = osterisk_get_option('osterisk_title_bg_image');
  }
  $osterisk_404_bg_image = osterisk_get_option('wd_404_page');
  if ($osterisk_title_bg_image !== '') {
    $osterisk_custom_css .= "
      .titlebar {
        " . esc_html(osterisk_check_if_empty('background-image', "$osterisk_title_bg_image")) . ";
        " . esc_html(osterisk_check_if_empty('text-align', get_post_meta($osterisk_thePageID, 'wd_page_title_position', true))) . ";
      }
    
      #page-title,.breadcrumbs a{
        color:" . esc_html(get_post_meta($osterisk_thePageID, 'wd_page_title_color', true) == '' ? '#FFF' : get_post_meta($osterisk_thePageID, 'wd_page_title_color', true)) . ";
      }";
  }
  if ($osterisk_404_bg_image != '') {
    $osterisk_custom_css .= "
			.corp-titlebar{
				background:url($osterisk_404_bg_image)  no-repeat center top;
				background-size: cover;
		 }";
  }
}

$osterisk_custom_css .= "
	  .header-top.social_top_bar, .orange_bar {
			" . esc_html(osterisk_check_if_empty('background', osterisk_get_option('adress_bar_bgcolor'))) . ";
		}
	  .header-top.social_top_bar, .orange_bar,
	  .l-header .header-top .contact-info,
	  .l-header .header-top i,
	  .l-header .header-top .social-icons.accent li i,
	  #lang_sel_list a.lang_sel_sel, #lang_sel_list > ul > li a {
			" . esc_html(osterisk_check_if_empty('color', osterisk_get_option('adress_bar_color'))) . ";			
		}
		";

if (osterisk_get_option('wd_box_wrapper') == 'on') {
  $osterisk_custom_css .= "
 							.bg_body_color {
			          " . esc_html(osterisk_check_if_empty('background', osterisk_get_option('wrapper_bg_color'))) . ";
 							}
 			";
}
if (is_rtl()) {
  $osterisk_custom_css .= "body, p, #lang_sel_list {
            font-family : 'Droid Arabic Kufi', serif;
          } ";

  $osterisk_custom_css .= "h1, h2, h3, h4, h5, h6 {
              font-family : 'Droid Arabic Naskh', serif;
            } ";
} else {
  if ((osterisk_get_option('wd_body_font_familly') != 'default') && (osterisk_get_option('wd_body_font_familly') != false)) {
    $osterisk_custom_css .= "body, body p {
		  " . esc_html(osterisk_check_if_empty('font-size', osterisk_get_option('wd_body_font_size'))) . ";
		  " . esc_html(osterisk_check_if_empty('font-family', osterisk_get_option('wd_body_font_familly'))) . ";
		  " . esc_html(osterisk_check_if_empty('font-style', osterisk_get_option('wd_body_font_style'))) . ";
		  " . esc_html(osterisk_check_if_empty('font-weight', osterisk_get_option('wd_body_font_weight'))) . ";
    }";
    if (osterisk_get_option('wd_main_text_lettre_spacing') != false && osterisk_get_option('wd_main_text_lettre_spacing') != "") {
      $osterisk_custom_css .= "body, body p {   	
		    " . esc_html(osterisk_check_if_empty('letter-spacing', osterisk_get_option('wd_main_text_lettre_spacing'))) . ";
	  	}";
    }

  } else {
    $osterisk_custom_css .= "body, body p {
    	font-family: 'Open Sans', sans-serif;
    	font-weight :" . esc_html(osterisk_get_option('wd_font-weight-style')) . ";
    }";
    if (osterisk_get_option('wd_main_text_lettre_spacing') != false && osterisk_get_option('wd_main_text_lettre_spacing') != "") {
      $osterisk_custom_css .= "body, body p {
	    	letter-spacing :" . esc_html(osterisk_get_option('wd_main_text_lettre_spacing')) . ";
	  	}";
    }
  }
  if ((osterisk_get_option('wd_head_font_familly') != 'default') && (osterisk_get_option('wd_head_font_familly') != false)) {
    $osterisk_custom_css .= "h1, h2, h3, h4, h5, h6, .menu-list a {
    	font-family :" . esc_html(osterisk_get_option('wd_head_font_familly', 'Martel Sans')) . ";
    	font-style :" . esc_html(osterisk_get_option('wd_head_font_style')) . ";
    	font-weight :" . esc_html(osterisk_get_option('wd_heading-font-weight-style')) . ";
    }";
    if (osterisk_get_option('wd_heading_text_lettre_spacing') != false && osterisk_get_option('wd_heading_text_lettre_spacing') != "") {
      $osterisk_custom_css .= "h1, h2, h3, h4, h5, h6, .menu-list a {
	    	letter-spacing :" . esc_html(osterisk_get_option('wd_heading_text_lettre_spacing')) . ";
	  	}";
    }
  } else {
    $osterisk_custom_css .= "h1, h2, h3, h4, h5, h6, .menu-list a {
    	font-family: '" . esc_html(osterisk_get_option('wd_head_font_familly', 'Martel Sans')) . "', 'Open Sans', sans-serif;
    	font-weight :" . esc_html(osterisk_get_option('wd_heading-font-weight-style')) . ";
    }";
    if (osterisk_get_option('wd_heading_text_lettre_spacing') != false && osterisk_get_option('wd_heading_text_lettre_spacing') != "") {
      $osterisk_custom_css .= "h1, h2, h3, h4, h5, h6, .menu-list a {
	    	letter-spacing :" . esc_html(osterisk_get_option('wd_heading_text_lettre_spacing')) . ";
	  	}";
    }
  }

  if ((osterisk_get_option('wd_navigation_font_familly') != 'default') && (osterisk_get_option('wd_navigation-font-weight-style') != false)) {
    $osterisk_custom_css .= ".top-bar .top-bar-right .menu li a {
    	    font-size :" . esc_html(osterisk_get_option('wd_navigation_font_size')) . ";
			font-family : " . esc_html(osterisk_get_option('wd_navigation_font_familly')) . ";
			font-style : " . esc_html(osterisk_get_option('wd_navigation_font_style')) . ";
			font-weight : " . esc_html(osterisk_get_option('wd_navigation-font-weight-style')) . ";
			text-transform : " . esc_html(osterisk_get_option('wd_navigation_text_transform')) . ";

		}";
    if (osterisk_get_option('wd_navigation_text_lettre_spacing') != false && osterisk_get_option('wd_navigation_text_lettre_spacing') != "") {
      $osterisk_custom_css .= ".top-bar-section ul li > a {
	    	letter-spacing :" . esc_html(osterisk_get_option('wd_navigation_text_lettre_spacing')) . ";
	  	}";
    }
  } else {
    $osterisk_custom_css .= ".corporate-layout .top-bar-section ul.menu > li > a {
			font-family: " . esc_html(osterisk_get_option('wd_navigation_font_familly')) . ";
			font-weight : " . esc_html(osterisk_get_option('wd_navigation-font-weight-style')) . ";
		}";
    if (osterisk_get_option('wd_navigation_text_lettre_spacing') != false && osterisk_get_option('wd_navigation_text_lettre_spacing') != "") {
      $osterisk_custom_css .= ".top-bar-section ul li > a {
	    	letter-spacing :" . esc_html(osterisk_get_option('wd_navigation_text_lettre_spacing')) . ";
	  	}";
    }
  }
}

$osterisk_custom_css .= "
		.primary-color_bg, .square-img > a::before, .boxes .box > a::before, .boxes .box .flipper a::before, .wd_onepost .title-block span, .one_post_box .box_image .titel_icon .box_icon, .one_post_box .more, .boxes .box-container > a::before, .boxes .box-container .flipper a::before, .layout-4 div.box-icon i.fa, .boxes.small.layout-5 .box-icon, .boxes.small.layout-5-inverse .box-icon, .boxes.small.layout-6 .box-icon i.fa, .carousel_blog span.tag a, .wd-carousel-container .carousel-icon i, .search_box input[type='submit'], table thead, table tfoot, .block-block-17, .row.call-action,
		.blog-info, button.dark:hover, button.dark:focus, .button.dark:hover, .button.dark:focus, span.wpb_button:hover, span.wpb_button:focus, .woocommerce .widget_price_filter .ui-slider .ui-slider-range, .woocommerce-page .widget_price_filter .ui-slider .ui-slider-range, .products .product .button, .woocommerce #content input.button.alt, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce-page #content input.button.alt, .woocommerce-page #respond input#submit.alt, .woocommerce-page a.button.alt, .woocommerce-page button.button.alt, .woocommerce-page input.button.alt, .woocommerce #content input.button:hover, .woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce-page #content input.button:hover, .woocommerce-page #respond input#submit:hover, .woocommerce-page a.button:hover, .woocommerce-page button.button:hover, .woocommerce-page input.button:hover, .woocommerce span.onsale, .woocommerce-page span.onsale, .woocommerce-page button.button, .widget_product_search #searchsubmit, .widget_product_search #searchsubmit:hover, .page-numbers.current,
		.post-password-form input[type='submit'], .page-links a:hover, .blog-post .sticky .blog-info, .team-member-slider .owl-dots .owl-dot.active span, .team-member-slider .owl-theme .owl-dots .owl-dot:hover span, .team-member-carousel .owl-dots .owl-dot.active span, .team-member-carousel .owl-theme .owl-dots .owl-dot:hover span, .wd-image-text.style-2 h4::after, .blog-posts .read-more a::after, .top-bar-section .request-quote a,
		.contact-form [type='submit'], .woocommerce-page input.button, .woocommerce-page a.button, 
		.first-footer .textwidget form .form-group button
		  {
						background :		" . esc_html(osterisk_get_option('primary_color', '#335CFF')) . ";
		}
		.text_icon_hover > div .vc_row:hover
		  {
						background :		" . esc_html(osterisk_get_option('primary_color', '#335CFF')) . " !important;
		}
		  .text_icon_hover > div .vc_row:hover .box-title-1, .text_icon_hover > div .vc_row:hover .box-body{
		  	color : #fff;
		  }
		.blog-post .sticky .blog-info,
		 .primary-color_bg, h2.contact-us::after, .contact-us-info h2::after, .who-we-are h2::after, input.wpcf7-submit, .sidebar-second.sidebar.sidebar-left ul li:hover,
		
		 .first-footer .newsletter-div .newslettersubmit, .first-footer h2::after, .square-img > a::before, .boxes .box > a::before,
		 .boxes .box .flipper a::before, .pricing-table.featured .special-box, .pricing-table.featured .special-box::before, .pricing-table.featured .special-box::after,
		 .pricing-table.featured .pricing-table-header, div.vc_tta-color-grey.vc_tta-style-classic .vc_tta-panel.vc_active .vc_tta-panel-heading,
		 div.vc_tta-color-grey.vc_tta-style-classic .vc_tta-tab.vc_active > a, .contact-form [type='submit'],
		 .format-quote .post-box .post-body-container, .format-link .post-box .post-body-container, .wd-image-text.style-2 h4::after, .wd_onepost .title-block span,
		 .one_post_box .box_image .titel_icon .box_icon, .one_post_box .more, .boxes .box-container > a::before, .boxes .box-container .flipper a::before,
		 .layout-4 div.box-icon i.fa, .boxes.small.layout-5 .box-icon, .boxes.small.layout-5-inverse .box-icon, .boxes.small.layout-6 .box-icon i.fa, table thead, table tfoot,
		 .block-block-17, .row.call-action, .blog-info, .wd-button:hover, .wd-button:focus, span.wpb_button:hover, span.wpb_button:focus,
		 .woocommerce ul.products li.product span.onsale, .woocommerce-page ul.products li.product span.onsale, 
		 .woocommerce ul.products li.product .button
		 {
			background: " . esc_html(osterisk_get_option('primary_color', '#335CFF')) . ";
		}
		.wd-post {
    border-top: 3px solid " . esc_html(osterisk_get_option('secondary_color')) . ";
    }
	.sidebar #s:active,
	.custom-tour .vc_tta-tabs-container li.vc_active a,
    .boxes.layout-3 .box-icon,.top-bar-section ul li:hover,.corporate-layout .top-bar-section ul li:hover,.corporate-layout .top-bar-section ul li.current-menu-item,

    .primary-color_border, .wpb-js-composer .vc_tta-container div.vc_tta-color-grey.vc_tta-style-classic.custom-tour .vc_tta-tabs-container li.vc_active a, .wpb-js-composer .vc_tta-container div.vc_tta-color-grey.vc_tta-style-classic.custom-tour .vc_tta-panel-body .container .img-wrp, .wpb-js-composer .vc_tta-color-grey.vc_tta-style-classic.vertical-tab .vc_tta-tabs-container li.vc_active a, .wpb-js-composer .vc_tta-color-grey.vc_tta-style-classic.vertical-tab .vc_tta-panel-body .container .img-wrp, .wpb-js-composer .vc_tta-container div.vc_tta-color-grey.vc_tta-style-classic.vertical-accordion .vc_tta-panels-container .vc_tta-panel.vc_active .vc_tta-panel-title a, .wpb-js-composer .vc_tta-container div.vc_tta-color-grey.vc_tta-style-classic.vertical-accordion .vc_tta-panel-body .container .img-wrp, .wpb-js-composer .vc_tta-color-grey.vc_tta-style-classic.custom-accordion .vc_tta-panel.vc_active .vc_tta-panel-heading, .section-container.auto > section.active .title, .section-container.auto > .section.active .title, .section-container.vertical-tabs > section.active > .title, .section-container.vertical-tabs > .section.active > .title, .section-container.vertical-nav > section.active > .title, .section-container.vertical-nav > .section.active > .title, .section-container.horizontal-nav > section.active > .title, .section-container.horizontal-nav > .section.active > .title, .section-container.accordion > section.active > .title, .section-container.accordion > .section.active > .title

     {
      border-color :    " . esc_html(osterisk_get_option('primary_color', '#335CFF')) . ";
    }
    .blog-info .arrow {
      border-color: transparent " . esc_html(osterisk_get_option('primary_color', '#335CFF')) . ";
		}
		.primary-color_color, a, a:focus, a.active, a:active, a:hover,section.corporate .menu-item a i,
		 .box-container:hover .box-title, .woocommerce .woocommerce-breadcrumb, .woocommerce-page .woocommerce-breadcrumb, div.boxes.small.layout-3 .box-icon i,.corporate-layout .header-top .contact-info .fa,
		 .l-header .header-top .social-icons.accent li:hover i,.corporate-layout .top-bar-section ul li:hover:not(.has-form) > a,
		 .corporate-layout .top-bar-section ul li.active:not(.has-form) > a:not(.button),
		 .creative-layout .top-bar-section li.active:not(.has-form) a:not(.button),
		 .team-member-item h3,
		 .layout-4-testimonials .testimonial-box .author-info .rating li.selected .fa,
		 .custom-tour .vc_tta-tabs-container li.vc_active a i,
		 .social_media li i,

		  .primary-color_color, .who-we-are h4, a, a:focus, a.active, a:active, a:hover, .contact-info i,
		   .sidebar .block-title::before, .first-footer .newsletter-div a.footer-readmor,
		    .first-footer ul li a::before, .pricing-table.featured .pricing-table-header .sign-up .button, .woocommerce-message::before,
		     .social_media li i, .team-member-item h3, .wpb-js-composer .vc_tta-container div.vc_tta-color-grey.vc_tta-style-classic.custom-tour .vc_tta-tabs-container li.vc_active a i, .wpb-js-composer .vc_tta-color-grey.vc_tta-style-classic.vertical-tab .vc_tta-tabs-container li.vc_active a i, .wpb-js-composer .vc_tta-container div.vc_tta-color-grey.vc_tta-style-classic.vertical-accordion .vc_tta-panels-container .vc_tta-panel.vc_active .vc_tta-panel-title a i, .wd-testimonail blockquote cite, .layout-4-testimonials .testimonial-box .author-info .rating li.selected .fa, .boxes.small .box-icon i, .box-container:hover .box-title, .wd-pagination .page-numbers:hover

		  {
				color : 	" . esc_html(osterisk_get_option('primary_color', '#335CFF')) . " ;
		}
		 .boxes.small.layout-3 .box-icon i,
		  div.boxes.small.layout-3:hover .box-icon i {
		   color: rgba(255,255,255,1);
		 }
		.blog-posts h2 a, .breadcrumbs > *, .breadcrumbs,
		.wd-post__pagination .page-numbers, .woocommerce-pagination .page-numbers .page-numbers, .search-post__pagination .page-numbers
		 {
			color : " . esc_html(osterisk_get_option('secondary_color')) . "
		}
		.wd-post__pagination .page-numbers, .woocommerce-pagination .page-numbers .page-numbers, .search-post__pagination .page-numbers {
		  border-bottom: 3px solid " . esc_html(osterisk_get_option('secondary_color')) . "
		}
		.button, .button:hover, .button:focus, .products .product:hover .button,
		.woocommerce-product-search > input[type='submit'], .tag-cloud-link , 
		.woocommerce .widget_price_filter .ui-slider .ui-slider-handle{
			background-color : " . esc_html(osterisk_get_option('secondary_color')) . "
		}
		.top-bar .top-bar-right .menu li a {
      color :    " . esc_html(osterisk_get_option('navigation_text_color', '#FFF')) . ";
    }
    header.l-header .top-bar-container .site-title-bar{
				background-color:" . esc_html(osterisk_get_option('navigation_bg_color_sticky', '#FFF')) . ";
		}
		header.l-header .top-bar-container .site-title-bar .menu-icon::after {
        background: " . esc_html(osterisk_get_option('navigation_h_text_color_sticky', '#FFF')) . ";
        box-shadow: 0 7px 0 " . esc_html(osterisk_get_option('navigation_h_text_color_sticky', '#FFF')) . ", 0 14px 0 " . esc_html(osterisk_get_option('navigation_h_text_color_sticky', '#FFF')) . ";
		}
    @media only screen and (min-width: 64em){
	    header.l-header .top-bar-container.sticky.fixed, header.l-header .top-bar-container.sticky.fixed .site-navigation.top-bar {
				background-color:" . esc_html(osterisk_get_option('navigation_bg_color_sticky', '#3A46D1')) . ";
			}
			header.l-header.creative-layout .top-bar-right .menu li a:hover {
        color: " . esc_html(osterisk_get_option('navigation_h_text_color')) . ";
			}
			header.l-header.creative-layout .top-bar-container.sticky.fixed .top-bar-right .menu > li > a:hover {
        color: " . esc_html(osterisk_get_option('navigation_h_text_color_sticky')) . ";
			}
		}
		.first-footer, .first-footer .block-title , .first-footer ul li a {
			color: " . esc_html(osterisk_get_option('footer_text_color')) . "
		}
		.top-bar , .corporate-layout .contain-to-grid.sticky, header.l-header,.corporate-layout .contain-to-grid {
		" . esc_html(osterisk_check_if_empty('background-color', osterisk_get_option('header_bg'))) . ";
		}
		#spaces-main {
			background-color : " . esc_html(osterisk_get_option('container_bg')) . "
		}";


$osterisk_custom_css .= "
											.blog-info .arrow {
    									border-left-color:" . osterisk_get_option('primary_color') . " ;
												}
												.ui-accordion-header-active, .ui-tabs-active, .box-icon, .woocommerce-message{
													border-top-color:" . osterisk_get_option('primary_color') . "
												}

												";
$social_bar_color = osterisk_get_option('social_bar_color');
if ($social_bar_color) {
  $osterisk_custom_css .= "
											.top-header {
    									background-color:" . $social_bar_color . " ;
												}
												";
}
$adress_bar_color = osterisk_get_option('adress_bar_color');
if ($adress_bar_color) {
  $osterisk_custom_css .= "
											.top-header .__top-header-right p {
    									color:" . $adress_bar_color . " ;
												}
												";
}


$osterisk_custom_css .= "
		.wd-heading .title_a {
		" . esc_html(osterisk_check_if_empty('font-family', osterisk_get_option('heading_a_title_font_family'))) . ";
		" . esc_html(osterisk_check_if_empty('font-style', osterisk_get_option('heading_a_title_font_style'))) . ";
		" . esc_html(osterisk_check_if_empty('font-weight', osterisk_get_option('heading_a_title_font_weight'))) . ";
		" . esc_html(osterisk_check_if_empty('font-size', osterisk_get_option('heading_a_title_font_size'))) . ";
		" . esc_html(osterisk_check_if_empty('color', osterisk_get_option('heading_a_title_font_color'))) . ";
		" . esc_html(osterisk_check_if_empty('text-transform', osterisk_get_option('heading_a_title_text_transform'))) . ";
		" . esc_html(osterisk_check_if_empty('line-height', osterisk_get_option('heading_a_title_line_height'))) . ";
		" . esc_html(osterisk_check_if_empty('letter-spacing', osterisk_get_option('heading_a_title_letter_spacing'))) . ";
		}
		.wd-heading .sub_title_a {
		" . esc_html(osterisk_check_if_empty('font-family', osterisk_get_option('heading_a_subtitle_font_family'))) . ";
		" . esc_html(osterisk_check_if_empty('font-style', osterisk_get_option('heading_a_subtitle_font_style'))) . ";
		" . esc_html(osterisk_check_if_empty('font-weight', osterisk_get_option('heading_a_subtitle_font_weight'))) . ";
		" . esc_html(osterisk_check_if_empty('font-size', osterisk_get_option('heading_a_subtitle_font_size'))) . ";
		" . esc_html(osterisk_check_if_empty('color', osterisk_get_option('heading_a_subtitle_font_color'))) . ";
		" . esc_html(osterisk_check_if_empty('text-transform', osterisk_get_option('heading_a_subtitle_text_transform'))) . ";
		" . esc_html(osterisk_check_if_empty('line-height', osterisk_get_option('heading_a_subtitle_line_height'))) . ";
		" . esc_html(osterisk_check_if_empty('letter-spacing', osterisk_get_option('heading_a_subtitle_letter_spacing'))) . ";
		
		}

		";

$osterisk_custom_css .= "
		.wd-heading .title_b {
		" . esc_html(osterisk_check_if_empty('font-family', osterisk_get_option('heading_b_title_font_family'))) . ";
		" . esc_html(osterisk_check_if_empty('font-style', osterisk_get_option('heading_b_title_font_style'))) . ";
		" . esc_html(osterisk_check_if_empty('font-weight', osterisk_get_option('heading_b_title_font_weight'))) . ";
		" . esc_html(osterisk_check_if_empty('font-size', osterisk_get_option('heading_b_title_font_size'))) . ";
		" . esc_html(osterisk_check_if_empty('color', osterisk_get_option('heading_b_title_font_color'))) . ";
		" . esc_html(osterisk_check_if_empty('text-transform', osterisk_get_option('heading_b_title_text_transform'))) . ";
		" . esc_html(osterisk_check_if_empty('line-height', osterisk_get_option('heading_b_title_line_height'))) . ";
		" . esc_html(osterisk_check_if_empty('letter-spacing', osterisk_get_option('heading_b_title_letter_spacing'))) . ";
		}
		.wd-heading .sub_title_b {
		" . esc_html(osterisk_check_if_empty('font-family', osterisk_get_option('heading_b_subtitle_font_family'))) . ";
		" . esc_html(osterisk_check_if_empty('font-style', osterisk_get_option('heading_b_subtitle_font_style'))) . ";
		" . esc_html(osterisk_check_if_empty('font-weight', osterisk_get_option('heading_b_subtitle_font_weight'))) . ";
		" . esc_html(osterisk_check_if_empty('font-size', osterisk_get_option('heading_b_subtitle_font_size'))) . ";
		" . esc_html(osterisk_check_if_empty('color', osterisk_get_option('heading_b_subtitle_font_color'))) . ";
		" . esc_html(osterisk_check_if_empty('text-transform', osterisk_get_option('heading_b_subtitle_text_transform'))) . ";
		" . esc_html(osterisk_check_if_empty('line-height', osterisk_get_option('heading_b_subtitle_line_height'))) . ";
		" . esc_html(osterisk_check_if_empty('letter-spacing', osterisk_get_option('heading_b_subtitle_letter_spacing'))) . ";
		}
		";
$osterisk_custom_css .= "
		.wd-heading .title_c {
		" . esc_html(osterisk_check_if_empty('font-family', osterisk_get_option('heading_c_title_font_family'))) . ";
		" . esc_html(osterisk_check_if_empty('font-style', osterisk_get_option('heading_c_title_font_style'))) . ";
		" . esc_html(osterisk_check_if_empty('font-weight', osterisk_get_option('heading_c_title_font_weight'))) . ";
		" . esc_html(osterisk_check_if_empty('font-size', osterisk_get_option('heading_c_title_font_size'))) . ";
		" . esc_html(osterisk_check_if_empty('color', osterisk_get_option('heading_c_title_font_color'))) . ";
		" . esc_html(osterisk_check_if_empty('text-transform', osterisk_get_option('heading_c_title_text_transform'))) . ";
		" . esc_html(osterisk_check_if_empty('line-height', osterisk_get_option('heading_c_title_line_height'))) . ";
		" . esc_html(osterisk_check_if_empty('letter-spacing', osterisk_get_option('heading_c_title_letter_spacing'))) . ";
		}
		.wd-heading .sub_title_c {
		" . esc_html(osterisk_check_if_empty('font-family', osterisk_get_option('heading_c_subtitle_font_family'))) . ";
		" . esc_html(osterisk_check_if_empty('font-style', osterisk_get_option('heading_c_subtitle_font_style'))) . ";
		" . esc_html(osterisk_check_if_empty('font-weight', osterisk_get_option('heading_c_subtitle_font_weight'))) . ";
		" . esc_html(osterisk_check_if_empty('font-size', osterisk_get_option('heading_c_subtitle_font_size'))) . ";
		" . esc_html(osterisk_check_if_empty('color', osterisk_get_option('heading_c_subtitle_font_color'))) . ";
		" . esc_html(osterisk_check_if_empty('text-transform', osterisk_get_option('heading_c_subtitle_text_transform'))) . ";
		" . esc_html(osterisk_check_if_empty('line-height', osterisk_get_option('heading_c_subtitle_line_height'))) . ";
		" . esc_html(osterisk_check_if_empty('letter-spacing', osterisk_get_option('heading_c_subtitle_letter_spacing'))) . ";
		}
		";

$osterisk_custom_css .= "
		.wd-heading .hr_a {
		" . esc_html(osterisk_check_if_empty('border-bottom-style', osterisk_get_option('headings_a_separator_style'))) . ";
		" . esc_html(osterisk_check_if_empty('border-bottom-width', osterisk_get_option('heading_a_separator_width'))) . ";
		" . esc_html(osterisk_check_if_empty('border-bottom-color', osterisk_get_option('heading_a_separator_color'))) . ";
		}
";
$osterisk_custom_css .= "
		.wd-heading .hr_b {
		" . esc_html(osterisk_check_if_empty('border-bottom-style', osterisk_get_option('headings_b_separator_style'))) . ";
		" . esc_html(osterisk_check_if_empty('border-bottom-width', osterisk_get_option('heading_b_separator_width'))) . ";
		" . esc_html(osterisk_check_if_empty('border-bottom-color', osterisk_get_option('heading_b_separator_color'))) . ";
		}
";
$osterisk_custom_css .= "
		.wd-heading .hr_c {
		" . esc_html(osterisk_check_if_empty('border-bottom-style', osterisk_get_option('headings_c_separator_style'))) . ";
		" . esc_html(osterisk_check_if_empty('border-bottom-width', osterisk_get_option('heading_c_separator_width'))) . ";
		" . esc_html(osterisk_check_if_empty('border-bottom-color', osterisk_get_option('heading_c_separator_color'))) . ";
		}
";