<?php

class osterisk_Customizer_Controls_Social_Icons extends osterisk_Customizer_Controls {

    public $controls = array();

    public function __construct() {
        $this->section = 'osterisk_social_icons';
     //   $this->priority = new osterisk_Customizer_Priority(0, 1);

        parent::__construct();

        add_action( 'customize_register', array( $this, 'add_controls' ), 30 );
        add_action( 'customize_register', array( $this, 'set_controls' ), 35 );
    }

    public function add_controls( $wp_customize ) {
        $this->controls = array(
            'wd_options_array[osterisk_facebook]' => array(
                'label' => esc_html__( 'Facebook', 'osterisk' ),
                'type' => 'text',
                'default' => osterisk_get_option('osterisk_facebook'),
                'description' => 'Facebook',
                'input_attrs' => array(
                    'placeholder' => esc_html__('Your Facebook Page Link','osterisk')
                )
            ),
            'wd_options_array[osterisk_twitter]' => array(
                'label' => esc_html__( 'Twitter', 'osterisk' ),
                'type' => 'text',
                'default' => osterisk_get_option('osterisk_twitter'),
                'description' => 'Twitter',
                'input_attrs' => array(
                    'placeholder' => esc_html__('Your Twitter Page Link','osterisk')
                )
            ),
            'wd_options_array[osterisk_google_plus]' => array(
                'label' => esc_html__( 'Google+', 'osterisk' ),
                'type' => 'text',
                'default' => osterisk_get_option('osterisk_google_plus'),
                'description' => 'Google+',
                'input_attrs' => array(
                    'placeholder' => esc_html__('Your Google+ Page Link','osterisk')
                )
            ),
            'wd_options_array[osterisk_phone]' => array(
                'label' => esc_html__( 'Phone', 'osterisk' ),
                'type' => 'text',
                'default' => osterisk_get_option('osterisk_phone'),
                'description' => 'Phone',
                'input_attrs' => array(
                    'placeholder' => esc_html__('Your Phone number','osterisk')
                )
            ),
            'wd_options_array[osterisk_address]' => array(
                'label' => esc_html__( 'Address', 'osterisk' ),
                'type' => 'text',
                'default' => osterisk_get_option('osterisk_address'),
                'description' => 'Address',
                'input_attrs' => array(
                    'placeholder' => esc_html__('Your first Address','osterisk')
                )
            )
        );

        return $this->controls;
    }

}

new osterisk_Customizer_Controls_Social_Icons();
