<?php

global $vc_add_css_animation;
/* our client
---------------------------------------------------------- */


vc_map(array(
	"name" => esc_html__("Clients", 'osterisk'),
	"base" => "wd_client",
	"category" => esc_html__("Webdevia", 'osterisk'),
	"icon" => get_template_directory_uri() . "/images/icon/meknes.png",
	"content_element" => true,
	"is_container" => FALSE,
	"category" => 'Webdevia',
	"params" => array(
		array(
			'type' => 'attach_images',
			'heading' => esc_html__('Images', 'osterisk'),
			'param_name' => 'images',

		)
	, array(
			"type" => "dropdown", // it will bind a textfield in WP
			"heading" => esc_html__("Layout Style", 'osterisk'),
			"param_name" => "layout_style",
			"value" => array('Carousel' => 'carousel',
				'Grid' => 'grid'),
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Elements To Show", 'osterisk'),
			"param_name" => "elements_to_show",
			"dependency" => Array("element" => "layout_style", "value" => array('carousel'))
		),
		array(
			"type" => "checkbox",
			"heading" => esc_html__("Display nav arrow", 'osterisk'),
			"param_name" => "nav_arrow",
      "value" => array(esc_html__('Yes, please', 'osterisk') => 'yes'),
			"dependency" => Array("element" => "layout_style", "value" => array('carousel'))
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Columns", 'osterisk'),
			"param_name" => "columns",
			"dependency" => Array("element" => "layout_style", "value" => array('grid'))
		),


		$vc_add_css_animation
	)
));