<?php

global $vc_add_css_animation;
vc_map(array(
	"name" => esc_html__("Pricing Table", 'osterisk'), // add a name
	"base" => "wd_pricing_table", // bind with our shortcode
	"description" => "You can add a prince table",
	"icon" => get_template_directory_uri()."/images/icon/meknes.png",
	"content_element" => true, // set this parameter when element will has a content
	"is_container" => FALSE, // set this param when you need to add a content element in this element
	// Here starts the definition of array with parameters of our compnent
	"category" => 'Webdevia',
	"params" => array(
		array(
			"type" => "textfield",
			"heading" => esc_html__("Title", 'osterisk'),
			"param_name" => "title",
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Min Lines (default ' 10 Lines Min ' )", 'osterisk'),
			"param_name" => "lines_min",
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Price", 'osterisk'),
			"param_name" => "price",
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Sub Price", 'osterisk'),
			"param_name" => "sub_price",
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Per Text default 'Mo Per User '", 'osterisk'),
			"param_name" => "per_value",
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Description", 'osterisk'),
			"param_name" => "description",
		),
		array(
			"type" => "colorpicker",
			"heading" => esc_html__("Text Color", 'osterisk'),
			"param_name" => "text_color",
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Button Text", 'osterisk'),
			"param_name" => "button_text",
			"value" => "Buy Now",
		),
		array(
			"type" => "vc_link",
			"heading" => esc_html__("Button Link", 'osterisk'),
			"param_name" => "button_link",
		),
		array(
			'type' => 'param_group',
			'value' => '',
			'param_name' => 'sub_options',
			'params' => array(
				array(
					'type' => 'textfield',
					'value' => '',
					'heading' => 'Enter your Sub Options Head Option(multiple field)',
					'param_name' => 'sub_option',
				)
			)
		),
		array(
			'type' => 'param_group',
			'value' => '',
			'param_name' => 'plan_options',
			'params' => array(
				array(
					'type' => 'textfield',
					'value' => '',
					'heading' => 'Enter your Plan Option(multiple field)',
					'param_name' => 'plan_option',
				),
				array(
					'type' => 'dropdown',
					'value' => '',
					'heading' => 'Shoose Value Of Option',
					'param_name' => 'has_value',
					"value" => array(
						'Default' => 'default',
						'Close' => 'has-close',
						'Add On' => 'has-addon',
						'Close' => 'has-close',
					),
				)
			)
		),
		array(
			"type" => "checkbox",
			"heading" => esc_html__("Set this table as featured", 'osterisk'),
			"param_name" => "featured",
			"value" => array(esc_html__('Yes, please', 'osterisk') => 'pricing-table--featured'),
		),
		array(
			"type" => "dropdown",
			"heading" => esc_html__("Set Box Shadow", 'osterisk'),
			"param_name" => "shadow",
			"value" => array(
				'None' => 'none',
				'Large Shadow' => 'large-shadow',
				'Medium Shadow' => 'medium-shadow',
				'Small Shadow' => 'small-shadow',
			),
		),
		array(
			'type' => 'css_editor',
			'heading' => esc_html__('Css', 'osterisk'),
			'param_name' => 'table_css',
			'group' => esc_html__('Design options', 'osterisk'),
		),
		$vc_add_css_animation
	)
));