<?php

global $vc_add_css_animation;
//-----------------portfolio------------------*/


vc_map(array(
	"name" => esc_html__("Portfolio", 'osterisk'),
	"base" => "wd_vc_portfolio",
	"icon" => get_template_directory_uri() . "/images/icon/meknes.png",
	"content_element" => true,
	"is_container" => FALSE,
	"category" => 'Webdevia',
	"params" => array(
		array(
			"type" => "textfield", // it will bind a textfield in WP
			"heading" => esc_html__("Items to display", 'osterisk'),
			"param_name" => "itemperpage",
		),
		array(
			"type" => "textfield", // it will bind a textfield in WP
			"heading" => esc_html__("Show", 'osterisk'),
			"param_name" => "number",
		),
		array(
			"type" => "textfield", // it will bind a textfield in WP
			"heading" => esc_html__("Margin", 'osterisk'),
			"param_name" => "margin",
		),
		array(
			"type" => "dropdown", // it will bind a textfield in WP
			"heading" => esc_html__("Layout", 'osterisk'),
			"param_name" => "layout",
			"value" => array(
				'Grid Layout 1' => 'layout-1',
				'Grid Layout 2' => 'layout-2',
				'Masonry Layout 1' => 'layout-3',
				'Masonry Layout 2' => 'layout-4',
			),
		),
		$vc_add_css_animation

	)
));