<?php get_header();  ?>
    <section class="titlebar ">
    	<div class="row">
    		<div class="box">
    			<h2 id="page-title" class="title">
            <?php
            if(osterisk_is_blog()){
                $osterisk_blog_id = get_option('page_for_posts');
                if($osterisk_blog_id == false) {
							if (!is_archive()) {
								echo esc_html__('Blog', 'osterisk');
							} elseif (is_category()) {
								echo esc_html__('Category Archives', 'osterisk');
								echo "  " . strip_tags(category_description());
							} elseif (is_tag()) {
								echo esc_html__('Tag Archives', 'osterisk');
							} elseif (is_year()) {
								echo esc_html__('Yearly Archives', 'osterisk');
							} elseif (is_month()) {
								echo esc_html__('Monthly Archives', 'osterisk');
							} elseif (is_date()) {
								echo esc_html__('Daily Archives', 'osterisk');
							} elseif (is_author()) {
								echo esc_html__('Author Archives', 'osterisk');
							}
						}else {
							echo get_the_title($osterisk_blog_id);
						}
					}else{
						the_title();
					} ?>
           </h2>
    		</div>
    		<div class="breadcrumb_box">
    			<?php osterisk_breadcrumb(); ?>
    		</div>
    	</div>
    </section>
    <!-- content  -->
    <main class="row">
      <div class="large-<?php if ( is_active_sidebar( 'sidebar-1' ) ) { echo "8";}else{ echo "12";} ?> small-12 main columns">
        <div class="blog-posts">
          <?php if (have_posts()) {
            while (have_posts()) : the_post();
              get_template_part('content', get_post_format());
            endwhile;
          }
          if (comments_open()) {
            comments_template('', true);
          } ?>
          <div class="wd-post__pagination">
            <?php echo paginate_links(); ?>
          </div>
        </div>

      </div>
      <?php get_sidebar(); ?>
    </main>
<?php get_footer();