<?php get_header() ?>
	<section class="titlebar">
		<div class="row">
			<div>
				<h2 id="page-title" class="title"><?php the_title(); ?></h2>
			</div>
			<?php osterisk_breadcrumb(); ?>
		</div>
	</section>
	<!-- content  -->
	<main class="row">
		<div class="large-12 small-12 columns">
			<?php if (have_posts()) : ?>
				<?php while (have_posts()) : the_post(); ?>
					<article>
						<div class="large-6 columns">
							<div>
								<?php the_post_thumbnail('osterisk_650x350'); ?>
							</div>
						</div>
						<div class="large-6 columns">
							<div>
								<h3>
									<?php echo esc_html__('Project Description', 'osterisk') ?>
								</h3>
							</div>
							<div>
								<?php the_content(); ?>
							</div>
							<div>
								<h5><?php echo esc_html__('Project Type', 'osterisk') ?></h5>
							</div>

							<div>

								<ul>
									<li>
										<?php
										$terms = get_terms("projet");

										foreach ($terms as $term) {
											?><span> <?php echo esc_attr($term->name); ?>  - </span> <?php
										}
										?>
									</li>
								</ul>
							</div>
						</div>
					</article>
				<?php endwhile;
			endif; ?>
		</div>

	</main>
	<!-- /content  -->
<?php get_footer(); ?>