<?php get_header() ?>
	<section class="titlebar">
		<div class="row">
			<div>
				<h2 id="page-title" class="title"><?php the_title(); ?></h2>
			</div>
      <?php osterisk_breadcrumb(); ?>
		</div>
	</section>
	<main class="row">
		<div class="large-8 small-12 large-centered columns ">
				<?php if (have_posts()) : ?>
					 <?php while (have_posts()) : the_post(); ?>
							<div class="blog-posts ">

								<div class="wd-post__thumbnail wd-post__thumbnail--single">
									<?php the_post_thumbnail('osterisk_blog-thumb'); ?>
								</div>
								<div class="wd-post__content wd-post__content--single">
									<div class="wd-post__body wd-post__body--single clearfix">
										<?php the_content(); ?>
									</div>

									<ul class="wd-post__meta wd-post__meta--single clearfix">
										<li><?php echo get_the_date(); ?></li>
										<li><?php echo esc_html__('By:','osterisk');  the_author() ?></li>
										<li><?php echo esc_html__('Category:','osterisk');   the_category(', '); ?></li>
										<li><?php comments_number( 'no comments', 'one comment', '% comments' ); ?></li>
										<li><?php echo esc_html__('Tags:','osterisk'); the_tags() ?></li>
									</ul>
								<?php if (comments_open()|| get_comments_number()){
										comments_template( '', true );
									} ?>
							</div>
							</div>
						 <?php endwhile;
					endif;?>
					<?php wp_link_pages( array( 'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'osterisk' ), 'after' => '</div>' ) ); ?>
		</div>
		<?php get_sidebar(); ?>
	</main>
	<?php get_footer(); ?>