<article <?php post_class("wd-post wd-post--video ".$post_class); ?>>
	<div class="wd-post__thumbnail">
		<?php echo osterisk_get_embedded_media(array('video', 'iframe')); ?>
	</div>

	<div class="wd-post__content">
		<h3 class="wd-post__title">
			<a href="<?php esc_url(the_permalink()); ?>"><?php the_title(); ?></a>
		</h3>
		<ul class="wd-post__meta clearfix">
			<li><?php echo get_the_date(); ?></li>
			<li class="wd-post__author"><?php echo esc_html__('By:','osterisk');  the_author() ?></li>
			<li><?php echo esc_html__('Category:','osterisk');   the_category(', '); ?></li>
			<li class="wd-post__comments"><?php comments_number( 'no comments', 'one comment', '% comments' ); ?></li>
		</ul>
		<div class="wd-post__body">
			<p><?php echo wp_trim_words(get_the_content(),60); ?></p>
		</div>
		<div class="wd-post__read-more">
			<a href="<?php esc_url(the_permalink()); ?>">
				<?php echo esc_html__('Read More', 'osterisk'); ?>
				<img src="<?php echo get_template_directory_uri()."/images/more.svg" ?>" alt="icon">
			</a>
		</div>
	</div>
</article>