<?php
if(!function_exists('wd_icon_text')){
  function wd_icon_text($atts) {
    extract( shortcode_atts( array(
      'choice' => 'icon_choice',
      'icon' => '',
      'icon_color' => '#000',
      'image' => '',
      'secondary_svg' => '',
      'position' => 'left_position',
      'text_align' => 'center',
      'title' => 'Block title',
      'box_link' => '',
      'text'  => 'Some text should be here... adds',
      'box_shadow'  => 'small-shadow',
      'css' => '',
      'image_width' => '',
      //___________animation___________
      'css_animation' => 'no'
    ), $atts ) );
    $title = str_replace("{","<span>", $title);
    $title = str_replace("}","</span>",$title);

      $box_link = vc_build_link( $box_link );
   $data_animated = $animation_classes = "";

    if(($css_animation != 'no')){
      $animation_classes =  " animated ";
      $data_animated = "data-animated=$css_animation";
    }
    $css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), 'wd_icon_text', $atts );

    if($box_shadow != 'none') {
        $css_class .= " ".$box_shadow;
    }

    ob_start(); ?>
    
    <div  class="<?php echo esc_attr( $css_class ); ?> text-icon text-icon--icon-<?php echo $position . $animation_classes; ?> boxes  clearfix"  <?php echo esc_attr($data_animated); ?>>
      <div class="text-icon__container  <?php  if($position == 'top_position'){ echo  $text_align ;}  ?> ">
        <div class="text-icon__icon-box">
          <?php if($choice == 'image_choice') {
              $img_id = preg_replace( '/[^\d]/', '', $image );
              $img = wpb_getImageBySize( array( 'attach_id' => $img_id, 'thumb_size' => 'thumbnail') );
              $img_path=$img['p_img_large'][0]; ?>
              <img <?php if(!empty($image_width)){ ?>style="max-height: <?php echo $image_width ?>" <?php } ?> src="<?php echo $img_path  ?>" alt='icon' />
          <?php }elseif($choice == 'icon_choice') { ?>
              <i class="fa <?php echo $icon; ?>" style="color: <?php echo $icon_color ?>"></i><?php
          }else{
             echo rawurldecode( base64_decode( strip_tags($secondary_svg)));
          } ?>
        </div>
        <div class="text-icon__content-box">
          <h4 class="text-icon__title">
              <?php if($box_link["url"] != "") {
                  ?>
                  <a href="<?php echo $box_link["url"] ?>"><?php echo $title; ?></a>
                  <?php
              }else{
                  ?>
                  <?php echo $title; ?>
                  <?php
              }
              ?>
          </h4>
          <p class="text-icon__text"><?php echo $text; ?></p>
        </div>
      </div>    
    </div>

    <?php return ob_get_clean();
  }
  add_shortcode( 'wd_icon_text', 'wd_icon_text' );
}  
?>